
ctools - Bug #4200

Mac OS nightly build fails

01/15/2023 10:58 AM - Knödlseder Jürgen

Status: Closed Start date: 01/15/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

The nightly builds on the new Mac OS VMs fails during installcheck:

Making installcheck in test

Traceback (most recent call last):

  File "<string>", line 1, in <module>

ImportError: No module named ctools

*** ctools unit test failure!

make[1]: *** [installcheck-local] Error 1

make: *** [installcheck-recursive] Error 1

Build step 'Exécuter un script shell' marked build as failure

This may be related to the fact that no ctools is installed globally, hence it points towards an insufficiently prepared configuration for

the install check.

History

#1 - 01/16/2023 09:38 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I tried to reproduce the problem by directly connecting to Jenkins on Mac OS 10.11:

$ ssh -Y -p 2211 jenkins@ctamac.irap.omp.eu

$ cd jenkins/workspace/ctools-nightly-os/label/macosx11

$ ./jenkins_init.sh

$ export GAMMALIB=$HOME/jenkins/install/os/gammalib

$ . $GAMMALIB/bin/gammalib-init.sh

$ make installcheck

Making installcheck in test

Traceback (most recent call last):

  File "<string>", line 1, in <module>

ImportError: No module named ctools

It turned out that this is the same issue that was already encountered on GammaLib (see #4196). I added

PYTHON_PREFIX="${prefix}"

PYTHON_EXEC_PREFIX="${exec_prefix}"

to src/ctools-setup.in.
#2 - 01/16/2023 11:23 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

This change seems to fix the issue.
